import { Signal } from './signal';
export declare type SignalMapping<Types> = {
    [P in keyof Types]: Signal<Types[P]>;
};
export declare class MergedSignal<Type, SourceTypes> extends Signal<Type> {
    private bindings;
    constructor(sources: SignalMapping<SourceTypes>, combine: (values: SourceTypes) => Type);
    set(_: Type): void;
    dispose(): void;
}
