"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var signal_1 = require("./signal");
var MappedSignal = /** @class */ (function (_super) {
    __extends(MappedSignal, _super);
    function MappedSignal(sourceSignal, transform) {
        var _this = _super.call(this, transform(sourceSignal.get())) || this;
        _this.binding = sourceSignal.follow(function (value) {
            _super.prototype.set.call(_this, transform(value));
        });
        return _this;
    }
    MappedSignal.prototype.set = function (_) {
        throw new Error('Cannot set value');
    };
    MappedSignal.prototype.dispose = function () {
        this.binding();
        _super.prototype.dispose.call(this);
    };
    return MappedSignal;
}(signal_1.Signal));
exports.MappedSignal = MappedSignal;
