import { Signal } from './signal';
export interface PromiseStatus<Value> {
    status: 'pending' | 'failed' | 'resolved';
    value?: Value;
    error?: Error;
}
export declare class PromiseSignal<Type> extends Signal<PromiseStatus<Type>> {
    constructor(promise: Promise<Type>);
    set(_: PromiseStatus<Type>): void;
}
